Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.transport.impl
Class DatagramIOConfigurationImpl

    java.lang.Object
      org.teleal.cling.transport.impl.DatagramIOConfigurationImpl

All Implemented Interfaces:
  DatagramIOConfiguration

    public class DatagramIOConfigurationImpl

extends Object
implements DatagramIOConfiguration

Settings for the default implementation.

Author:
  Christian Bauer

Constructor Summary
`DatagramIOConfigurationImpl()` Defaults to TTL of '4' and maximum datagram size of 640 bytes (512 per UDA 1.0, 128 byte header).
`DatagramIOConfigurationImpl(int timeToLive, int maxDatagramBytes)`

Method Summary
`int` | `getMaxDatagramBytes()`
`int` | `getTimeToLive()`
`void` | `setMaxDatagramBytes(int maxDatagramBytes)`
`void` | `setTimeToLive(int timeToLive)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatagramIOConfigurationImpl

    public DatagramIOConfigurationImpl()

  Defaults to TTL of '4' and maximum datagram size of 640 bytes (512 per UDA 1.0, 128 byte header).

### DatagramIOConfigurationImpl

    public DatagramIOConfigurationImpl(int timeToLive,
                                       int maxDatagramBytes)

Method Detail

### getTimeToLive

    public int getTimeToLive()

  Specified by:
    `getTimeToLive` in interface `DatagramIOConfiguration`
  Returns:
    The TTL of a UDP datagram sent to a multicast address.

### setTimeToLive

    public void setTimeToLive(int timeToLive)

### getMaxDatagramBytes

    public int getMaxDatagramBytes()

  Specified by:
    `getMaxDatagramBytes` in interface `DatagramIOConfiguration`
  Returns:
    The maximum buffer size of received UDP datagrams.

### setMaxDatagramBytes

    public void setMaxDatagramBytes(int maxDatagramBytes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.